Jump to content
Sign in to follow this  
mr burns

BWMod Fix

Recommended Posts

Ahoj!

This is a semi-official fix for latest BWMod Version 1.7, sanctioned by Terp.

It fixes several error messages & .rpt entries, such as a scripting error which popped up for each shot fired from a vehicle mounted MG3.

Changes:

  • all errors from BWMod 1.7 in ArmA2 >1.54 environment gone
  • now requires ArmA2 & Operation Arrowhead (CO) instead of only ArmA2
  • Woodland units use black G36's which are adapted to have OA's 'dual scope'
  • Desert units use OA's G36_Camo
  • freaky Pzf3 animation fixed (replaced with 1.8 closed beta animation)
  • Fuchs wreck wrong texture path (replaced with 1.8 closed beta model)
  • updated ACE compatibility config addon

Download @ Armed-Assault.de

Mirror @ Armaholic.com

Mirror @ ArmedAssault.info

Full readme:

the mega bwmod fix from the moerderhoschi and the burns and the terp and the xeno

=================================================================================

Info:

-----

This will make BWMod v1.7 work with latest ArmA2 OA patches.

Everything in this is a hybrid of non working v1.7 config & a working but unreleased v1.8 config, + some other things.

Basically saying, it's all Terp's and he did it before. We only nagged him enough to let us make & release the fix - so we could finally play Flecktarn again!

Requirements:

-------------

BWMod 1.7 - http://bwmod.armedassault.info/downloads/ArmAII/BWMod_v1.7.rar

ArmA2 & OA - http://www.sprocketidea.com/joomla/index.php?page=shop.product_details&product_id=33&category_id=2&option=com_virtuemart&Itemid=2

CO Patch 1.60 - http://armed-assault.de/downloads/arma-2-operation-arrowhead-patch-160.html

Installation: (presuming you have official BWMod 1.7 installed)

-------------

1) delete bwmod.pbo

2) add bwmod_fix.pbo & bwmod_scripts.pbo from this archive, overwrite if asked

3) for use with ACE mod, copy the files from this "optional ace config" folder into your ace\addons or bwmod\addons folder

Changes:

--------

-all errors from BWMod 1.7 in ArmA2 >1.54 environment gone

-now requires ArmA2 & Operation Arrowhead (CO) instead of only ArmA2

-Woodland units use black G36's which are adapted to have OA's 'dual scope'

-Desert units use OA's G36_Camo

-freaky Pzf3 animation fixed (replaced with 1.8 closed beta animation)

-Fuchs wreck wrong texture path (replaced with 1.8 closed beta model)

-updated ACE compatibility config addon

Known issues:

-------------

-weird issue with track marks, not fixable for us, needs p3d edits

Signatures:

-----------

This release comes with a set of optional, but highly recommended v2 signatures.

Thanks:

-------

to terp! for allowing us to rip the unreleased 1.8 beta apart in order to get 1.7 working again!

mega thx to all involved!

Wouldn´t have happened without you :)

I wasn´t sure whether to ask a moderator to reopen the original BWMod thread, after all the mod is still closed and nothings really going to change about that.

Maybe it would be nice to just add the fix in the relevant spaces of the original thread, so everybody who reads only that thread gets a working mod too.

Edited by Mr Burns

Share this post


Link to post
Share on other sites

BWMod and BWMod_ACE were updated on Six Updater with the fix yesterday.

Share this post


Link to post
Share on other sites

Thanks Sickboy!

There was a last minute change to yesterdays file, with ACE config all grenadiers would wear woodland camo.

Fixed that 2 hrs ago and left the archive labelled v1.0, thought i could cheat a little :rolleyes:

Share this post


Link to post
Share on other sites
Thanks Sickboy!

There was a last minute change to yesterdays file, with ACE config all grenadiers would wear woodland camo.

Fixed that 2 hrs ago and left the archive labelled v1.0, thought i could cheat a little :rolleyes:

You Cheator!!

NP - Updated! Tnx for note :)

Share this post


Link to post
Share on other sites

Fantastic effort. Unfortunately the zoom doesn't work for the commander in the Leopard.

Share this post


Link to post
Share on other sites

One little question: I've found some BWMod 1.0 RC3 at Armed-Assault.de page and found grenadier with AG-36. As I know, this unit doesn't present in current 1.7 BWmod version. Is it possible to include it in some kind of fix?

Share this post


Link to post
Share on other sites
Fantastic effort. Unfortunately the zoom doesn't work for the commander in the Leopard.

mmh wasn´t aware of that, will be looking into the zoom issue for a possible update. Thanks for reporting!

One little question: I've found some BWMod 1.0 RC3 at Armed-Assault.de page and found grenadier with AG-36. As I know, this unit doesn't present in current 1.7 BWmod version. Is it possible to include it in some kind of fix?

afaik there´s no BWMod AG36 released for ArmA2, or even ArmA1 ... link? :confused:

However the new ace config coming with this adds a grenadier class (equipped with ACE AG36), if that´s what your looking for.

Notice:

I made a stupid with the optinal v2 signature folder, the bisign files for bwmod_fix and bwmod_scripts in it are wrong and won´t work.

For those two files pls only use the bisigns sitting in the archives bwmod\addons folder :rolleyes:

Will be fixed in pending 1.1 too.

Share this post


Link to post
Share on other sites

Tried the update yesterday, jolly good stuff.

Question: Is there going to be new content updates or have the devs moved onto other things?

Also, will the MG-3 skin get updated? It looks a little low quality.

Share this post


Link to post
Share on other sites

afaik there´s no BWMod AG36 released for ArmA2, or even ArmA1 ... link? :confused:

However the new ace config coming with this adds a grenadier class (equipped with ACE AG36), if that´s what your looking for.

"Benötigte Downloads" at the download page which you've provided in the first post, http://dl2.armed-assault.de/a2addons/BWMod_v1.0_RC3.rar. There's written in readme that this pack has G-36 with GL and grenadier unit.

Share this post


Link to post
Share on other sites
"Benötigte Downloads" at the download page which you've provided in the first post, http://dl2.armed-assault.de/a2addons/BWMod_v1.0_RC3.rar. There's written in readme that this pack has G-36 with GL and grenadier unit.

Must be an error in the readme, just had a look at the v1.0 RC3 config and theres no grenadier in it.

btw.: that RC3 version you found in "benötigte" (required) is quite old, better set the tickbox to Version 1.7, Final :)

Share this post


Link to post
Share on other sites
Must be an error in the readme, just had a look at the v1.0 RC3 config and theres no grenadier in it.

btw.: that RC3 version you found in "benötigte" (required) is quite old, better set the tickbox to Version 1.7, Final :)

Maybe. I use 1.7 version since it had been released. But anyway I'd be happy if there would be grenadier in BWMod without addWeapon mess:)

Share this post


Link to post
Share on other sites

And here ist the Webinstaller.

bwmod_webinstaller.jpg

Download

It's for everyone, who want to install this fix in a fast and simple way.

#Update

A new message box has been added for maintenance.

#Update 2

A small TextBox bug has been fixed

Requirements:

Edited by Rockhount

Share this post


Link to post
Share on other sites

Hi Mr. Burns

thanks for all the effort to fix this wonderful mod. I was waiting a long time for that to happen. Have contacted TERP some time ago asking if the config errors would get fixed, but he told me that the mod team didn't exist anymore and that there wouldn' be an update to come. So I stopped using it.

Thanks to you and all the guys who worked on this patch to correct the issues.

Share this post


Link to post
Share on other sites

Thanks Mr Burns, well done.

Just one small thing, will you revert the faction back to "Bw" with the next pending 1.1?

Share this post


Link to post
Share on other sites

Help!

During the last few days/weeks we´ve become aware of many people being unable to connect to our server due to wrong bwmod fix signatures.

In fact the failure rate is so high that it´s become a quite sad TS3 running gag..

It seems that one of my sneaky updates at release wasn´t fast enough and a bad file got carried around.

Could all mirrors please be updated (once again) with the file from our original link?

http://armed-assault.de/downloads/bwmod-fix.html

This time its 100% sure that all signature files are correct and working.

Tested myself with a clean bwmod installation, and successfully reproduced by Psychobastard.

Of course individual users are invited to update aswell.

Make sure to delete all old bwmodfix signatures before re-applying the fix.

I´m very sorry for all the inconvenience :(

Share this post


Link to post
Share on other sites

I can confirm this problem. We had on our dedicated server the same problem.

We use the latest working BWMod Hot Fix and the included Server Key. But it looks like all other updaters, expecially the SixUpdater share an older file/key to the players.

Most players (over 99%) that wan't to connect our BWMos Server are kicked caused by the wrong bwmod_fix.pbo signature.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this  

×